## debootstrap 0.3.3.0ubuntu2

=== Makefile ===
CC=gcc
CFLAGS=-Wall -W -O2

ARCH := $(shell dpkg --print-architecture)
setarchdevs = $(if $(findstring $(ARCH),$(1)),$(2))

DEVS := generic hde hdf hdg hdh sde sdf sdg sdh scd-all initrd input usb md lp rtc video \
        $(call setarchdevs,i386,isdn-io eda edb sonycd mcd mcdx cdu535 \
                                optcd sjcd cm206cd gscd lmscd sbpcd \
                                aztcd bpcd dac960 ida fd0 fd1 ataraid cciss) \
        $(call setarchdevs,sparc,hdc hdd busmice) \
        $(call setarchdevs,m68k,fd0 fd1 adc add ade adf hdc hdd) \
        $(call setarchdevs,powerpc,hdc hdd fd0 fd1 isdn-io m68k-mice) \
        $(call setarchdevs,ia64,ida fd0 fd1 ataraid cciss)

all: pkgdetails devices-std.tar.gz devices.tar.gz debootstrap-arch
clean:
	rm -f pkgdetails pkgdetails.o devices-std.tar.gz devices.tar.gz
	rm -f debootstrap-arch
	rm -rf dev

DSDIR=$(DESTDIR)/usr/lib/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/man/man8
	install -o root -g root -m 0644 potato $(DSDIR)/scripts/
	install -o root -g root -m 0644 woody $(DSDIR)/scripts/
	install -o root -g root -m 0644 woody.buildd $(DSDIR)/scripts/
	install -o root -g root -m 0644 sarge $(DSDIR)/scripts/
	install -o root -g root -m 0644 sarge.buildd $(DSDIR)/scripts/
	install -o root -g root -m 0644 sarge.fakechroot $(DSDIR)/scripts/
	install -o root -g root -m 0644 sid $(DSDIR)/scripts/
	install -o root -g root -m 0644 warty $(DSDIR)/scripts/
	install -o root -g root -m 0644 warty.buildd $(DSDIR)/scripts/
	install -o root -g root -m 0644 hoary $(DSDIR)/scripts/
	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
	install -o root -g root -m 0644 breezy $(DSDIR)/scripts/
	install -o root -g root -m 0644 dapper $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/

        # no special script for etch anymore
	ln -s sid $(DSDIR)/scripts/etch

	install -o root -g root -m 0755 debootstrap.8 $(DESTDIR)/usr/share/man/man8/
	install -o root -g root -m 0755 debootstrap $(DESTDIR)/usr/sbin/

install-allarch: install
	install -o root -g root -m 0644 devices-std.tar.gz \
		$(DSDIR)/devices.tar.gz

install-arch: install
	install -o root -g root -m 0755 pkgdetails $(DSDIR)/
	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
	install -o root -g root -m 0644 debootstrap-arch $(DSDIR)/arch

pkgdetails: pkgdetails.o
	$(CC) -o $@ $^

debootstrap-arch:
	echo $(ARCH) >debootstrap-arch

devices-std.tar.gz:
	rm -rf dev
	mkdir -p dev
	chown 0:0 dev
	chmod 755 dev
	(cd dev && /dev/MAKEDEV std ptmx)
	tar cf - dev | gzip -9 >devices-std.tar.gz
	rm -rf dev

devices.tar.gz:
	rm -rf dev

	mkdir -p dev
	chown 0:0 dev
	chmod 755 dev

	(cd dev && /dev/MAKEDEV $(DEVS))

ifeq ($(ARCH),powerpc)
#	Maybe remove amiga/atari mice also? What about usbmouse?
	rm -f dev/adbmouse
	ln -sf input/mice dev/mouse
	ln -sf input/js0 dev/js0
	ln -sf input/js1 dev/js1
endif

	@if ! find dev -maxdepth 0 -perm 755 -uid 0 -gid 0 | \
	        grep -q "^dev$$"; \
	then \
	   echo "======================================================="; \
	   echo "ERROR"; echo; \
	   echo "./dev has bad permissions! should be 755 root.root. Was:"; \
	   ls -ld ./dev; \
	   echo "======================================================="; \
	   false; \
	fi

	tar cf - dev | gzip -9 >devices.tar.gz
	rm -rf dev

=== debian/changelog ===
debootstrap (0.3.3.0ubuntu2) dapper; urgency=low

  * Remove gcc-4.0-base from buildd base, since it's already required.
  * Remove libdb4.2 from buildd base; perl now uses libdb4.3 which is
    required.
  * Iterate over all components in get_debs (closes: Malone #30804).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  8 Feb 2006 10:26:24 +0000

debootstrap (0.3.3.0ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
    - A bit silly version number, since debootstrap has a long history of
    being NMU-ed, we try to be prepared for it.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 15 Nov 2005 14:37:51 +0100

debootstrap (0.3.1.9ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * [dapper] New script to install Dapper Drake; a copy of breezy for now.
  * [Makefile] Install dapper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2005 11:36:38 +0100

## debootstrap 0.3.3.0ubuntu7

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 breezy $(DSDIR)/scripts/
 	install -o root -g root -m 0644 dapper $(DSDIR)/scripts/
+	install -o root -g root -m 0644 edgy $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 
         # no special script for etch anymore

=== debian/changelog ===
debootstrap (0.3.3.0ubuntu7) edgy; urgency=low

  * When removing $TARGET/debootstrap, debootstrap.log is still open as
    stdout/stderr and needs to remain so, but after unlinking it some NFS
    servers implement this by a temporary file in the same directory, which
    makes it impossible to rmdir that directory. Moving it instead works
    around the problem (thanks, Steven McCoy; closes: Malone #65003).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 09:40:44 +0100

debootstrap (0.3.3.0ubuntu6) edgy; urgency=low

  * [edgy] Add libdb4.4 to buildd variant (thanks, LaMont Jones).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 22:11:11 +0100

debootstrap (0.3.3.0ubuntu5) edgy; urgency=low

  * [edgy] linux-kernel-headers -> linux-libc-dev (closes: Malone #62627).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Sep 2006 10:25:24 +0100

debootstrap (0.3.3.0ubuntu4) edgy; urgency=low

  * Fix a typo in the manpage (s/deboostrap/debootstrap/) that caused me
    to waste 20 mins deboostrapping on a slow link because I thought
    cutting and pasting from docs was a safe and reasonable thing to do.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 21 Sep 2006 13:20:00 +1000

debootstrap (0.3.3.0ubuntu3) edgy; urgency=low

  * [edgy] New script to install Edgy Eft; as dapper but gcc 4.0 -> 4.1.
  * [Makefile] Install edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Jun 2006 11:58:11 +0100

## debootstrap 0.3.3.2

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,6 @@
 	install -o root -g root -m 0644 hoary $(DSDIR)/scripts/
 	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 breezy $(DSDIR)/scripts/
-	install -o root -g root -m 0644 dapper $(DSDIR)/scripts/
-	install -o root -g root -m 0644 edgy $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 
         # no special script for etch anymore

=== debian/changelog ===
debootstrap (0.3.3.2) unstable; urgency=low

  * NMU with maintainer approval
  * Remove --force-auto-select option for 'sid' script as it is no longer
    supported by dpkg. Closes: #409527.

 -- Frans Pop <fjp@debian.org>  Fri, 16 Feb 2007 20:43:36 +0100

debootstrap (0.3.3.1) unstable; urgency=low

  * NMU with maintainer approval
  * functions/get_debs: build list of available packages from all specified
    sources; this allows debootstrap to also use e.g. custom versions of base
    packages from a source of local packages included on an installation CD.
    Closes: #398762.

 -- Frans Pop <fjp@debian.org>  Thu, 16 Nov 2006 05:30:43 +0100

## debootstrap 0.3.3.2etch1

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
         # no special script for etch anymore
 	ln -s sid $(DSDIR)/scripts/etch
+	ln -s sid $(DSDIR)/scripts/lenny
 
 	install -o root -g root -m 0755 debootstrap.8 $(DESTDIR)/usr/share/man/man8/
 	install -o root -g root -m 0755 debootstrap $(DESTDIR)/usr/sbin/

=== debian/changelog ===
debootstrap (0.3.3.2etch1) stable; urgency=low

  [ Joey Hess ]
  * Add support for lenny.

  [ Frans Pop ]
  * NMU
  * Upload to stable to make creating lenny chroots from etch possible
    and to support installing lenny using the etch installer.

 -- Frans Pop <fjp@mordor.fjphome.nl>  Mon, 21 May 2007 17:12:47 +0200

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure:
	dh_testdir

clean:
	dh_testdir

	-$(MAKE) clean

	dh_clean

build: configure
#	 need to be root to make devices, so build is done in install target

real-build: build
	dh_testdir
	dh_testroot

	$(MAKE) all

install: real-build
	dh_testdir
	dh_testroot

	dh_clean -k
	dh_installdirs

#	 install the package into debian/debootstrap
	$(MAKE) install-allarch DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install-arch    DESTDIR=$(CURDIR)/debian/debootstrap-udeb

binary-indep: install
# We have nothing to do by default.

ARCHES="i386"
SUITE="testing"
VERSION=$(SUITE)
MIRROR="http://ftp.debian.org/debian"

binary-basedebs:
	dh_testdir
	dh_testroot

	$(MAKE) pkgdetails

	ln -s . scripts
	for a in $(ARCHES); do \
	    rm -rf chroot-dir; \
	    mkdir -p chroot-dir; \
	    DEBOOTSTRAP_DIR=. ./debootstrap --arch $$a --download-only $(SUITE) chroot-dir $(MIRROR); \
	    (cd chroot-dir && tar cf ../../basedebs_$(VERSION)_$$a.tar *); \
	    rm -rf chroot-dir; \
	done
	rm -f scripts

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installman -i debootstrap.8
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	-rm -rf debian/debootstrap-udeb/usr/share \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/potato \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/*.buildd \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/*.fakechroot
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build real-build clean binary-indep binary-arch binary install configure binary-basedebs

## debootstrap 0.3.3.2ubuntu3

=== Makefile ===
--- 
+++ 
@@ -36,11 +36,15 @@
 	install -o root -g root -m 0644 hoary $(DSDIR)/scripts/
 	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
 	install -o root -g root -m 0644 breezy $(DSDIR)/scripts/
+	install -o root -g root -m 0644 dapper $(DSDIR)/scripts/
+	install -o root -g root -m 0644 edgy $(DSDIR)/scripts/
+	install -o root -g root -m 0644 edgy.fakechroot $(DSDIR)/scripts/
+	install -o root -g root -m 0644 feisty $(DSDIR)/scripts/
+	install -o root -g root -m 0644 feisty.fakechroot $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 
         # no special script for etch anymore
 	ln -s sid $(DSDIR)/scripts/etch
-	ln -s sid $(DSDIR)/scripts/lenny
 
 	install -o root -g root -m 0755 debootstrap.8 $(DESTDIR)/usr/share/man/man8/
 	install -o root -g root -m 0755 debootstrap $(DESTDIR)/usr/sbin/
@@ -65,7 +69,7 @@
 	mkdir -p dev
 	chown 0:0 dev
 	chmod 755 dev
-	(cd dev && /dev/MAKEDEV std ptmx)
+	(cd dev && /dev/MAKEDEV std ptmx fd)
 	tar cf - dev | gzip -9 >devices-std.tar.gz
 	rm -rf dev

=== debian/changelog ===
debootstrap (0.3.3.2ubuntu3) feisty; urgency=low

  * Add devices created by fd to devices-std.tar.gz (make dev/std*
    available in a chroot with bind mounting /proc (and /dev/pts), but
    without bind mounting /dev).

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 03:10:07 +0100

debootstrap (0.3.3.2ubuntu2) feisty; urgency=low

  * Add {edgy,feisty}.fakechroot scripts and install them in Makefile.
    Difference to the original edgy/feisty scripts:
    - Check fakechroot environment.
    - Do not install all important packages (just apt).
    - Use _fakechroot variants of setup_{devices,proc}() functions.
    - Call install_fakechroot_tools().
    - Fix the broken version comparison in target's initscripts ('lt' should
      actually be 'lt-nl') postinst to avoid calling mount/unmount and thus
      work with fakeroot.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  2 Mar 2007 13:21:08 +0100

debootstrap (0.3.3.2ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add dapper, edgy, and feisty scripts.
    - Default mirror to http://archive.ubuntu.com/ubuntu.
    - Move debootstrap.log before unlinking it to work around NFS
      brain-damage.
    - Fix typo in debootstrap(8) man page.
  * [functions] Fix "htp" typo in temporary /etc/apt/sources.list.
  * [edgy, feisty] Remove --force-auto-select option as it is no longer
    supported by dpkg.
  * [debian/control] Set Maintainer to me.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 18 Feb 2007 13:42:04 +0000

debootstrap (0.3.3.1ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add dapper, edgy, and feisty scripts.
    - Default mirror to http://archive.ubuntu.com/ubuntu.
    - Move debootstrap.log before unlinking it to work around NFS
      brain-damage.
    - Fix typo in debootstrap(8) man page.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Nov 2006 16:19:20 +0000

debootstrap (0.3.3.0ubuntu8) feisty; urgency=low

  * [feisty] New script to install Feisty Fawn, copied from edgy.
  * [Makefile] Install feisty.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Oct 2006 11:08:12 +0100

=== _darcs/current/debian/control ===
Source: debootstrap
Section: admin
Maintainer: Anthony Towns <ajt@debian.org>
Uploaders: J.H.M. Dassen (Ray) <jdassen@debian.org>
Build-Depends: debhelper (>= 4.2), makedev (>= 2.3.1-69)
Standards-Version: 3.6.2

Package: debootstrap
Priority: extra
Architecture: all
Depends: wget, binutils
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Priority: required
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions
Description: Bootstrap the Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.
 .
 debootstrap-udeb is a minimal package used by debian-installer.

=== debian/control ===
Source: debootstrap
Section: admin
Maintainer: Colin Watson <cjwatson@ubuntu.com>
XSBC-Original-Maintainer: Anthony Towns <ajt@debian.org>
Uploaders: J.H.M. Dassen (Ray) <jdassen@debian.org>
Build-Depends: debhelper (>= 4.2), makedev (>= 2.3.1-69)
Standards-Version: 3.6.2

Package: debootstrap
Priority: extra
Architecture: all
Depends: wget, binutils
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Priority: required
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions
Description: Bootstrap the Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.
 .
 debootstrap-udeb is a minimal package used by debian-installer.

## debootstrap 1.0.3build1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 CC=gcc
 CFLAGS=-Wall -W -O2
+
+# avoid dpkg-dev dependency; fish out the version with sed
+VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)
 
 ARCH := $(shell dpkg --print-architecture)
 setarchdevs = $(if $(findstring $(ARCH),$(1)),$(2))
@@ -13,6 +16,8 @@
         $(call setarchdevs,powerpc,hdc hdd fd0 fd1 isdn-io m68k-mice) \
         $(call setarchdevs,ia64,ida fd0 fd1 ataraid cciss)
 
+MAKEDEV := $(shell if [ -e /dev/MAKEDEV ]; then echo /dev/MAKEDEV; else echo /sbin/MAKEDEV; fi)
+
 all: pkgdetails devices-std.tar.gz devices.tar.gz debootstrap-arch
 clean:
 	rm -f pkgdetails pkgdetails.o devices-std.tar.gz devices.tar.gz
@@ -24,30 +29,18 @@
 	mkdir -p $(DSDIR)/scripts
 	mkdir -p $(DESTDIR)/usr/sbin
 	mkdir -p $(DESTDIR)/usr/share/man/man8
-	install -o root -g root -m 0644 potato $(DSDIR)/scripts/
-	install -o root -g root -m 0644 woody $(DSDIR)/scripts/
-	install -o root -g root -m 0644 woody.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 sarge $(DSDIR)/scripts/
-	install -o root -g root -m 0644 sarge.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 sarge.fakechroot $(DSDIR)/scripts/
-	install -o root -g root -m 0644 sid $(DSDIR)/scripts/
-	install -o root -g root -m 0644 warty $(DSDIR)/scripts/
-	install -o root -g root -m 0644 warty.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 hoary $(DSDIR)/scripts/
-	install -o root -g root -m 0644 hoary.buildd $(DSDIR)/scripts/
-	install -o root -g root -m 0644 breezy $(DSDIR)/scripts/
-	install -o root -g root -m 0644 dapper $(DSDIR)/scripts/
-	install -o root -g root -m 0644 edgy $(DSDIR)/scripts/
-	install -o root -g root -m 0644 edgy.fakechroot $(DSDIR)/scripts/
-	install -o root -g root -m 0644 feisty $(DSDIR)/scripts/
-	install -o root -g root -m 0644 feisty.fakechroot $(DSDIR)/scripts/
+	install -o root -g root -m 0644 scripts/debian/* $(DSDIR)/scripts/
+	install -o root -g root -m 0644 scripts/ubuntu/* $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 
         # no special script for etch anymore
 	ln -s sid $(DSDIR)/scripts/etch
+	ln -s sid $(DSDIR)/scripts/lenny
 
 	install -o root -g root -m 0755 debootstrap.8 $(DESTDIR)/usr/share/man/man8/
-	install -o root -g root -m 0755 debootstrap $(DESTDIR)/usr/sbin/
+	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
+	chown root:root $(DESTDIR)/usr/sbin/debootstrap
+	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap
 
 install-allarch: install
 	install -o root -g root -m 0644 devices-std.tar.gz \
@@ -69,7 +62,7 @@
 	mkdir -p dev
 	chown 0:0 dev
 	chmod 755 dev
-	(cd dev && /dev/MAKEDEV std ptmx fd)
+	(cd dev && $(MAKEDEV) std ptmx fd)
 	tar cf - dev | gzip -9 >devices-std.tar.gz
 	rm -rf dev
 
@@ -80,7 +73,7 @@
 	chown 0:0 dev
 	chmod 755 dev
 
-	(cd dev && /dev/MAKEDEV $(DEVS))
+	(cd dev && $(MAKEDEV) $(DEVS))
 
 ifeq ($(ARCH),powerpc)
 #	Maybe remove amiga/atari mice also? What about usbmouse?

=== debian/changelog ===
debootstrap (1.0.3build1) gutsy; urgency=low

  * Trigger rebuild for hppa.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 03 Oct 2007 02:00:13 -0600

debootstrap (1.0.3) unstable; urgency=low

  * Ignore errors when unmounting filesystems, to avoid stopping at the
    first one with problems.

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Aug 2007 12:32:37 +0100

debootstrap (1.0.2) unstable; urgency=low

  [ Joey Hess ]
  * Document --components in man page.
  * Update man page, as packages listed in --include should now be auto
    dep-resolved by default.

  [ Colin Watson ]
  * Extensive quoting fixes, allowing installation to a target containing
    spaces (closes: #387673).
  * scripts/debian/sid: Handle libc0.3 on hurd-i386 (thanks, Michael Banck;
    closes: #314304).
  * functions: Stub out /proc setup and add device setup for the Hurd
    (thanks, Michael Banck; closes: #314311).
  * Add --version option (closes: #294484).

  [ Otavio Salvador ]
  * Fix bunzip2 path. Thanks Martín Ferrari <martin.ferrari@gmail.com> by
    the patch (closes: #436218).

 -- Otavio Salvador <otavio@debian.org>  Tue, 07 Aug 2007 20:12:55 -0300

debootstrap (1.0.1) unstable; urgency=low

  * scripts/ubuntu/gutsy: Determine buildd variant dynamically using
    Build-Essential: yes.
  * scripts/ubuntu/gutsy.fakechroot: Remove devmapper postinst hack, no
    longer needed.
  * scripts/ubuntu/*.fakechroot: Merge into the corresponding main scripts
    as variants.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jul 2007 11:55:22 +0100

debootstrap (1.0.0) unstable; urgency=low

  [ Anthony Towns ]
  * Make debootstrap team maintained under the d-i banner.
  * Add Joey, Frans and Junichi as uploaders, remove JHM (not in the
    d-i group).
  * Make pkgdetails.c not need C99 extensions. (Closes: Bug#398977)
  * Fix am_doing_phase implementation in debootstrap script. Thanks to
    Tero Janka for spotting the problem and the fix. (Closes: Bug#409881)

  [ Joey Hess ]
  * Drop support for sarge from the udeb.
  * Update README.Debian:
    - One todo item is done. (I think cross-strap is too, but unsure.)
    - Reword NMU policy to note that it's team-maintained now.
  * ACK my prior NMU. Closes: #418600
  * If /dev/MAKEDEV DNE, as on certain s390 machines, use /sbin/MAKEDEV.
    Closes: #420908
    Note that /dev/MAKEDEV is still the correct location, and is still tried
    first so that building works on all FHS systems, as noted in #190239.

  [ Colin Watson ]
  * Add support for Ubuntu dapper (Closes: #342838), edgy, feisty, and
    gutsy. Exclude everything but gutsy from the udeb.
  * Fix "deboostrap" typo in debootstrap(8) (thanks, Adam Conrad).
  * Fix "htp" typo in temporary /etc/apt/sources.list.
  * Drop support for woody from the udeb too.
  * When removing $TARGET/debootstrap, debootstrap.log is still open as
    stdout/stderr and needs to remain so, but after unlinking it some NFS
    servers implement this by a temporary file in the same directory, which
    makes it impossible to rmdir that directory. Moving it instead works
    around the problem (thanks, Steven McCoy;
    https://launchpad.net/bugs/65003).
  * Fix formatting error in debootstrap(8) (.R is not a macro).
  * Reorganise scripts into scripts/debian/ and scripts/ubuntu/ directories
    in the source tree to declutter the top level.
  * Add default_mirror function; reorganise the debootstrap script a little
    so that it works. Set the default mirror for Ubuntu suites to
    http://archive.ubuntu.com/ubuntu, and the default mirror for Debian
    etch/lenny/sid architectures other than amd64 and i386 to
    http://ftp.us.debian.org/debian (per ajt; see bug #363049).
  * Add devices created by fd to devices-std.tar.gz, so that
    /dev/std{in,out,err} is available conveniently in chroots with /proc and
    /dev/pts mounted (thanks, Matthias Klose).
  * Document --keyring and --make-tarball. (Closes: #368988)
  * Update Ubuntu mirrors: warty/hoary/breezy => old-releases.ubuntu.com,
    unsupported architectures => ports.ubuntu.com.
  * Add myself to Uploaders.
  * Bump to 1.0.0. Nobody uses debootstrap in production, do they?

  [ Joey Hess ]
  * Remove the extended package description (aka bloat) from the udeb.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2007 02:19:27 +0100

debootstrap (0.3.3.3) unstable; urgency=low

  * NMU
  * Add support for lenny.

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 15:24:15 -0400

=== debian/control ===
Source: debootstrap
Section: admin
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <elendil@planet.nl>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), makedev (>= 2.3.1-69)
Standards-Version: 3.6.2
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap

Package: debootstrap
Priority: extra
Architecture: all
Depends: wget, binutils
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Priority: required
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions
Description: Bootstrap the Debian system

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure:
	dh_testdir

clean:
	dh_testdir

	-$(MAKE) clean

	dh_clean

build: configure
#	 need to be root to make devices, so build is done in install target

real-build: build
	dh_testdir
	dh_testroot

	$(MAKE) all

install: real-build
	dh_testdir
	dh_testroot

	dh_clean -k
	dh_installdirs

#	 install the package into debian/debootstrap
	$(MAKE) install-allarch DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install-arch    DESTDIR=$(CURDIR)/debian/debootstrap-udeb

binary-indep: install
# We have nothing to do by default.

ARCHES="i386"
SUITE="testing"
VERSION=$(SUITE)
MIRROR="http://ftp.debian.org/debian"

binary-basedebs:
	dh_testdir
	dh_testroot

	$(MAKE) pkgdetails

	ln -s . scripts
	for a in $(ARCHES); do \
	    rm -rf chroot-dir; \
	    mkdir -p chroot-dir; \
	    DEBOOTSTRAP_DIR=. ./debootstrap --arch $$a --download-only $(SUITE) chroot-dir $(MIRROR); \
	    (cd chroot-dir && tar cf ../../basedebs_$(VERSION)_$$a.tar *); \
	    rm -rf chroot-dir; \
	done
	rm -f scripts

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installman -i debootstrap.8
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	-rm -rf debian/debootstrap-udeb/usr/share \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/potato \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/woody \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/sarge \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/warty \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/hoary \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/breezy \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/dapper \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/edgy \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/feisty \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/*.buildd \
		debian/debootstrap-udeb/usr/lib/debootstrap/scripts/*.fakechroot
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build real-build clean binary-indep binary-arch binary install configure binary-basedebs

## debootstrap 1.0.7~dapper1

=== debian/changelog ===
debootstrap (1.0.7~dapper1) dapper-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 16 Nov 2007 21:23:31 +0000

debootstrap (1.0.7) unstable; urgency=low

  * No longer include full devices tarball in udeb.
  * Also try 'udpkg --print-architecture' when determining the target
    architecture.
  * Utility pkgdetails moved from debootstrap-udeb to bootstrap-base so that
    the udeb can become 'Architecture: all'.
  * Change /usr/lib/debootstrap to /usr/share/debootstrap. Closes: #430615.
  * Use tab indentation in debootstrap and functions saving 3kB (relevant for
    Debian Installer).
  * Fix various inconsistencies in build scripts.
  * Fix dpkg-genchanges warning 'missing Priority for source files'.
  * Update Standards-Version to 3.7.2. No changes needed.
  * Changes in udeb require base-installer 1.85.

 -- Frans Pop <fjp@debian.org>  Wed, 14 Nov 2007 12:15:45 +0100

debootstrap (1.0.6) unstable; urgency=low

  * Ensure that the target directory exists in check_sane_mount.
  * Don't ignore 'make clean' errors. (The Makefile is always present.)

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Oct 2007 10:50:59 +0100

debootstrap (1.0.5) unstable; urgency=low

  [ Colin Watson ]
  * Don't rely on GNU sed's s///I extension (closes: #350583).

  [ Joey Hess ]
  * Skip the noexec/nodev test when running --print-debs or other operations
    that do not involve building systems.

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Oct 2007 23:10:34 -0400

debootstrap (1.0.4) unstable; urgency=low

  [ Neil Williams ]
  * Add --second-stage-target option that allows embedded to test for
    installations in a chroot on the device (closes: #445157).

  [ Colin Watson ]
  * Add (Ubuntu) hardy as a symlink to gutsy.
  * Unmount /lib/init/rw on exit (closes: #391604).
  * Cope if uncompressed Packages is missing from Release (closes: #402380).
  * Don't rely on XSI test(1) extensions.
  * Add support for ssh:/// URLs (thanks, Steffen Joeris; closes: #434893).
  * Fix Ubuntu hoary and breezy scripts to unmount /dev etc. on exit
    (closes: #327708).
  * Emit an error if we cannot create working devices or executables on the
    target (based on work by Bastian Kleineidam; closes: #233798).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Oct 2007 14:57:37 +0100

## debootstrap 1.0.7~edgy1

=== debian/changelog ===
debootstrap (1.0.7~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 16 Nov 2007 21:24:17 +0000

## debootstrap 1.0.7~feisty1

=== debian/changelog ===
debootstrap (1.0.7~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 16 Nov 2007 21:24:25 +0000

=== debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), makedev (>= 2.3.1-69)
Standards-Version: 3.7.2
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap

Package: debootstrap
Architecture: all
Depends: wget, binutils
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Priority: required
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: mounted-partitions
Description: Bootstrap the Debian system

## debootstrap 1.0.7~gutsy1

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

ARCH := $(shell dpkg --print-architecture)

MAKEDEV := $(shell if [ -e /dev/MAKEDEV ]; then echo /dev/MAKEDEV; else echo /sbin/MAKEDEV; fi)

all: devices.tar.gz
clean:
	rm -f devices.tar.gz
	rm -rf dev

DSDIR=$(DESTDIR)/usr/share/debootstrap
install:
	# Dirs are created by dh_installdirs
	install -o root -g root -m 0644 scripts/debian/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 scripts/ubuntu/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/

        # no special script for etch anymore
	ln -s sid $(DSDIR)/scripts/etch
	ln -s sid $(DSDIR)/scripts/lenny

	ln -s gutsy $(DSDIR)/scripts/hardy

	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
	chown root:root $(DESTDIR)/usr/sbin/debootstrap
	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap

	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/

devices.tar.gz:
	rm -rf dev
	mkdir -p dev
	chown 0:0 dev
	chmod 755 dev
	(cd dev && $(MAKEDEV) std ptmx fd)
	tar cf - dev | gzip -9 >devices.tar.gz
	rm -rf dev

=== debian/changelog ===
debootstrap (1.0.7~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 18:57:56 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure:
	dh_testdir

clean:
	dh_testdir

	$(MAKE) clean

	dh_clean

build: configure
#	 need to be root to make devices, so build is done in install target

real-build: build
	dh_testdir
	dh_testroot

	$(MAKE) all

install: real-build
	dh_testdir
	dh_testroot

	dh_clean -k
	dh_installdirs

#	 install the package into debian/debootstrap
	$(MAKE) install      DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install      DESTDIR=$(CURDIR)/debian/debootstrap-udeb

binary-indep: install
# We have nothing to do by default.

ARCHES="i386"
SUITE="testing"
VERSION=$(SUITE)
MIRROR="http://ftp.debian.org/debian"

binary-basedebs:
	dh_testdir
	dh_testroot

	$(MAKE) pkgdetails

	ln -s . scripts
	for a in $(ARCHES); do \
	    rm -rf chroot-dir; \
	    mkdir -p chroot-dir; \
	    DEBOOTSTRAP_DIR=. ./debootstrap --arch $$a --download-only $(SUITE) chroot-dir $(MIRROR); \
	    (cd chroot-dir && tar cf ../../basedebs_$(VERSION)_$$a.tar *); \
	    rm -rf chroot-dir; \
	done
	rm -f scripts

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installman -i debootstrap.8
	dh_installchangelogs -i
	dh_link -i
	-rm -rf debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/sarge \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/warty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/hoary \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/breezy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/dapper \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/edgy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:

binary: binary-indep binary-arch
.PHONY: build real-build clean binary-indep binary-arch binary install configure binary-basedebs

## debootstrap 1.0.8

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,16 @@
 
 DSDIR=$(DESTDIR)/usr/share/debootstrap
 install:
-	# Dirs are created by dh_installdirs
+	mkdir -p $(DSDIR)/scripts
+	mkdir -p $(DESTDIR)/usr/sbin
+
 	install -o root -g root -m 0644 scripts/debian/* $(DSDIR)/scripts/
 	install -o root -g root -m 0644 scripts/ubuntu/* $(DSDIR)/scripts/
 	install -o root -g root -m 0644 functions $(DSDIR)/
 
         # no special script for etch anymore
 	ln -s sid $(DSDIR)/scripts/etch
+	ln -s sid $(DSDIR)/scripts/etch-m68k
 	ln -s sid $(DSDIR)/scripts/lenny
 
 	ln -s gutsy $(DSDIR)/scripts/hardy

=== debian/changelog ===
debootstrap (1.0.8) unstable; urgency=low

  [ Frans Pop ]
  * Change Priority for the udeb to extra in line with overrides file.

  [ Colin Watson ]
  * Partially revert r50134; there are people who depend on being able to
    use the "upstream" Makefile on non-Debian systems. Create necessary
    directories in the Makefile rather than relying on dh_installdirs to do
    it (LP: #172645).
  * Use ftp.us.debian.org rather than ftp.debian.org
    (http://lists.debian.org/debian-devel-announce/2007/12/msg00002.html).

  [ Anthony Towns ]
  * Add minbase variant for the sid script that only install apt (and
    its dependencies) instead of all of base. (Closes: Bug#351912,
    Bug#452654)
  * Make --second-stage not bother recalculating required and base as
    it's not needed.
  * Make --arch and other arguments accept both "--arch i386" and
    "--arch=i386" forms of specifying a parameter to avoid the
    inconsistency.

  [ Stephen R. Marenka ]
  * Allow installation of etch-m68k. (Closes: Bug#458965)

  [ Colin Watson ]
  * Add minbase variant for Ubuntu gutsy/hardy; see Anthony's change above.
  * Minor manual page formatting improvements.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Jan 2008 11:19:34 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  into a directory which can eventually be chrooted into.
 
 Package: debootstrap-udeb
-Priority: required
 Section: debian-installer
 XC-Package-Type: udeb
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 ARCHES="i386"
 SUITE="testing"
 VERSION=$(SUITE)
-MIRROR="http://ftp.debian.org/debian"
+MIRROR="http://ftp.us.debian.org/debian"
 
 binary-basedebs:
 	dh_testdir

## debootstrap 1.0.10

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	ln -s sid $(DSDIR)/scripts/lenny
 
 	ln -s gutsy $(DSDIR)/scripts/hardy
+	ln -s gutsy $(DSDIR)/scripts/intrepid
 
 	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
 	chown root:root $(DESTDIR)/usr/sbin/debootstrap

=== debian/changelog ===
debootstrap (1.0.10) unstable; urgency=low

  [ Joey Hess ]
  * Avoid "broken pipe" errors in bootstrap.log from the the smallyes function.
    The errors themselves are inherent to how the function is used, so just
    suppress them. Closes: #480560.

  [ Frans Pop ]
  * Do not cache Release and Release.gpg files. Closes: #488424.
  * Abort if a Packages file failed to verify.
  * Update standards version to 3.8.0; no other changes needed.

 -- Frans Pop <fjp@debian.org>  Wed, 02 Jul 2008 17:44:25 +0200

debootstrap (1.0.9) unstable; urgency=low

  [ Frans Pop ]
  * Error out on unrecognized options to avoid invalid options to be
    recognized as arguments.

  [ Colin Watson ]
  * Use 'chown 0:0' in all scripts rather than deprecated 'chown 0.0'
    (thanks, Evan Klitzke).
  * Add (Ubuntu) intrepid as a symlink to gutsy.

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Apr 2008 19:36:19 +0100

## debootstrap 1.0.10lenny1

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	ln -s sid $(DSDIR)/scripts/etch
 	ln -s sid $(DSDIR)/scripts/etch-m68k
 	ln -s sid $(DSDIR)/scripts/lenny
+	ln -s sid $(DSDIR)/scripts/squeeze
 
 	ln -s gutsy $(DSDIR)/scripts/hardy
 	ln -s gutsy $(DSDIR)/scripts/intrepid

=== debian/changelog ===
debootstrap (1.0.10lenny1) unstable; urgency=low

  * Add support for squeeze (closes: #513488).

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 Jan 2009 15:10:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 4.2), makedev (>= 2.3.1-69)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap
 
 Package: debootstrap

## debootstrap 1.0.12

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 
 	ln -s gutsy $(DSDIR)/scripts/hardy
 	ln -s gutsy $(DSDIR)/scripts/intrepid
+	ln -s gutsy $(DSDIR)/scripts/jaunty
 
 	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
 	chown root:root $(DESTDIR)/usr/sbin/debootstrap
@@ -39,6 +40,6 @@
 	mkdir -p dev
 	chown 0:0 dev
 	chmod 755 dev
-	(cd dev && $(MAKEDEV) std ptmx fd)
+	(cd dev && $(MAKEDEV) std ptmx fd consoleonly)
 	tar cf - dev | gzip -9 >devices.tar.gz
 	rm -rf dev

=== debian/changelog ===
debootstrap (1.0.12) unstable; urgency=low

  [ Otavio Salvador ]
  * Improve code to choose between libc packages. Thanks to Luca Favatella
    <slackydeb@gmail.com> for first version of the patch.

  [ Colin Watson ]
  * Remove partial support for emitting translated progress messages with
    gettext. Don't panic; d-i still has all the support necessary for this.
    debootstrap's own support for doing this outside d-i with gettext's
    shell bindings has been completely broken ever since it was added in
    2003, though, and nobody has complained. Fixing it would require a big
    pile of infrastructure and some non-trivial patches, plus arranging to
    copy all the translations over from base-installer, and it just doesn't
    seem worth it, so lose the cruft (LP: #188690).
  * Export PATH, just to make sure. It isn't necessarily exported by shells
    running from init=/bin/sh or similar, and the upstream bash maintainer
    is unwilling to export it by default; it's easy enough to do so here
    (LP: #320188).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Mar 2009 16:38:46 +0000

debootstrap (1.0.11) unstable; urgency=low

  * Add (Ubuntu) jaunty as a symlink to gutsy.
  * Clarify that --second-stage is needed to complete the bootstrapping
    process after --foreign.
  * Fix --make-tarball= option (closes: #484869).
  * Fix old Debian scripts and all Ubuntu scripts to cope with Anthony's
    change in 1.0.8 to make --second-stage not bother recalculating required
    and base.
  * Rename 'repeat' to 'repeatn', since 'repeat' is a reserved word in zsh;
    although strictly speaking this seems like an incompatibility in zsh
    when linked to /bin/sh (closes: #340058).
  * Fix --unpack-tarball= option (thanks, Torsten Landschoff; closes:
    #500759).
  * Fix handling of relative DEBOOTSTRAP_DIR (thanks, Mikhail Gusarov;
    closes: #503460).
  * Cope with ancient versions of chroot(8) that don't call chdir() (thanks,
    Patrik Arvhult; closes: #350635).
  * Recommend gnupg for --keyring option (thanks, Robert Millan; closes:
    #467571).
  * Note that you can't --include packages with non-required Pre-Depends
    (see #487908).
  * Mention /sys in EXAMPLE section of manual page, and use "defaults"
    rather than "none" as the mount options for /proc (thanks, Raúl Sánchez
    Siles; closes: #410787).
  * Add /dev/console to devices.tar.gz (after all, MAKEDEV's 'consoleonly'
    was added for boot-floppies in the first place; see
    https://lists.ubuntu.com/archives/ubuntu-devel/2009-January/027230.html).
  * Add support for squeeze (closes: #513488).

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Feb 2009 23:46:12 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Package: debootstrap
 Architecture: all
 Depends: wget, binutils
+Recommends: gnupg
 Description: Bootstrap a basic Debian system
  debootstrap is used to create a Debian base system from scratch,
  without requiring the availability of dpkg or apt. It does this by

=== debian/rules ===
--- 
+++ 
@@ -32,9 +32,6 @@
 #	 install the package into debian/debootstrap
 	$(MAKE) install      DESTDIR=$(CURDIR)/debian/debootstrap
 	$(MAKE) install      DESTDIR=$(CURDIR)/debian/debootstrap-udeb
-
-binary-indep: install
-# We have nothing to do by default.
 
 ARCHES="i386"
 SUITE="testing"

## debootstrap 1.0.20~intrepid1

=== debian/changelog ===
debootstrap (1.0.20~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 30 Oct 2009 10:11:25 +0000

debootstrap (1.0.20) unstable; urgency=low

  * For recent Ubuntu versions, move $TARGET/sbin/initctl aside in the same
    way we do start-stop-daemon, so that attempts to control Upstart jobs
    won't inadvertently affect jobs in the host system.
  * Rename EXAMPLE section in debootstrap(8) to EXAMPLES (closes: #548458).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Oct 2009 21:23:07 +0100

debootstrap (1.0.19) unstable; urgency=low

  * Ignore failures from dpkg --predep-package. It exits 1 if there are no
    suitable packages available, which isn't an error for us, but in_target
    complains anyway, so just use in_target_nofail; the termination
    condition is handled immediately afterwards anyway.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Sep 2009 19:57:05 +0100

debootstrap (1.0.18) unstable; urgency=low

  * Only use dpkg from the chroot, as there is no guarantee dpkg is 
    available outside of the chroot (d-i installation for example).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 23 Sep 2009 11:37:01 +0200

debootstrap (1.0.17) unstable; urgency=low

  * Remove boneheaded use of sudo left over from testing (closes: #547949).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Sep 2009 20:10:19 +0100

debootstrap (1.0.16) unstable; urgency=low

  [ Colin Watson ]
  * Cope with pre-dependencies of included packages that aren't in Priority:
    required (closes: #487908).
  * Upgrade to debhelper v7. (Override rules get pretty hairy for this
    package, so I haven't switched to dh(1).)
  * Use ports.ubuntu.com as default mirror on sparc for Ubuntu hardy and
    beyond (LP: #431145).
  * Add (Ubuntu) lucid as a symlink to gutsy.

  [ Frans Pop ]
  * Makefile: remove unused ARCH variable.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Sep 2009 16:28:40 +0100

debootstrap (1.0.15) unstable; urgency=low

  * On Linux, clear out /etc/mtab on exit if it's not a symlink. Should fix
    problems Wouter Verhelst and Martin Michlmayr are seeing with
    initramfs-tools MODULES=dep, although it probably isn't a perfect
    solution.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Jul 2009 16:45:00 +0100

debootstrap (1.0.14) unstable; urgency=low

  * Apply patch from Felix Zielcke <fzielcke@z-51.de> to use "dpkg
    --print-architecture" to avoid deprecation warning. Closes: #531680.
  * Reference squeeze instead of sarge in manpage. Based on a patch from
    Geoff Simmons <gsimmons@gsimmons.org>. Closes: #534575.
  * Apply patch from Riku Voipio <riku.voipio@iki.fi> to add support for
    scratchbox variant. Closes: #536820.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 22 Jul 2009 12:34:54 -0300

debootstrap (1.0.13) unstable; urgency=low

  [ Otavio Salvador ]
  * Apply patch from Luca Favatella <slackydeb@gmail.com> to improve
    coding style.

  [ Colin Watson ]
  * Add (Ubuntu) karmic as a symlink to gutsy.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Apr 2009 20:08:24 +0100

## debootstrap 1.0.20

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 # avoid dpkg-dev dependency; fish out the version with sed
 VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)
-
-ARCH := $(shell dpkg --print-architecture)
 
 MAKEDEV := $(shell if [ -e /dev/MAKEDEV ]; then echo /dev/MAKEDEV; else echo /sbin/MAKEDEV; fi)
 
@@ -28,6 +26,8 @@
 	ln -s gutsy $(DSDIR)/scripts/hardy
 	ln -s gutsy $(DSDIR)/scripts/intrepid
 	ln -s gutsy $(DSDIR)/scripts/jaunty
+	ln -s gutsy $(DSDIR)/scripts/karmic
+	ln -s gutsy $(DSDIR)/scripts/lucid
 
 	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
 	chown root:root $(DESTDIR)/usr/sbin/debootstrap

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 4.2), makedev (>= 2.3.1-69)
+Build-Depends: debhelper (>= 7.0.0), makedev (>= 2.3.1-69)
 Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap

## debootstrap 1.0.20ubuntu0.1

=== debian/changelog ===
debootstrap (1.0.20ubuntu0.1) karmic-proposed; urgency=low

  * Add apt to base packages for the buildd variant as it is no longer
    marked Build-Essential (thanks Josef Spillner). (LP: #533369)

 -- Nigel Babu <nigelbabu@gmail.com>  Tue, 17 Aug 2010 19:28:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.0), makedev (>= 2.3.1-69)
 Standards-Version: 3.8.0
